{
    "doc": "Represents the contract of DataStore. Type of the datastore can be mongodb, postgres, etc",
    "fields": [
        {
            "name": "type",
            "type": "string"
        },
        {
            "name": "description",
            "type": "string"
        },
        {
            "name": "url",
            "type": {
                "items": "string",
                "type": "array"
            }
        },
        {
            "name": "status",
            "type": {
                "doc": "Represents the contract of service status",
                "name": "Status",
                "symbols": [
                    "OK",
                    "DOWN"
                ],
                "type": "enum"
            }
        },
        {
            "name": "additionalProperties",
            "type": [
                "null",
                {
                    "type": "map",
                    "values": "string"
                }
            ]
        }
    ],
    "name": "DataStore",
    "namespace": "org.gel.models.system.avro",
    "type": "record"
}